/*
 * Copyright (c) 1992-2002 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

#ifndef lint
static char *RCSid = "$Revision: 1.3 $";
#endif

/*
 * Summary functions
 */
#include <stdio.h>
#include "defs.h"

/*
 * Show one line summary info
 */
extern void ShowSummaryLine(Label, Desc)
     char		       *Label;
     char		       *Desc;
{
    Msg(0, "%30s: %s\n", Label, Desc);
}

/*
 * Show a summary of the software
 */
extern void ShowSummary(Info)
     McdInfo_t		       *Info;
{
    static char			Buff[1024];

    snprintf(Buff, sizeof(Buff), "%s %s %s",
	     PRTS(Info->Name), PRTS(Info->Version), PRTS(Info->Release));
    ShowSummaryLine("Software", Buff);
    if (Info->Summary)
	ShowSummaryLine("Summary", Info->Summary);

    if (Info->OSverMin && Info->OSverMax)
	snprintf(Buff, sizeof(Buff), "%s %s - %s %s",
		 PRTS(Info->OSname), PRTS(Info->OSverMin),
		 PRTS(Info->OSverMax), PRTS(Info->Arch));
    else if (Info->OSverMin)
	snprintf(Buff, sizeof(Buff), "%s %s and later %s",
		 PRTS(Info->OSname), PRTS(Info->OSverMin),
		 PRTS(Info->Arch));
    else
	snprintf(Buff, sizeof(Buff), "%s %s %s",
		 PRTS(Info->OSname), PRTS(Info->OSver),
		 PRTS(Info->Arch));
    ShowSummaryLine("Runs On", Buff);

    if (Info->LibCname && Info->LibCverMin) {
	snprintf(Buff, sizeof(Buff), "%s %s or later",
		 Info->LibCname, Info->LibCverMin);
	ShowSummaryLine("Requires", Buff);
    }

    if (Info->InstallDir)
	ShowSummaryLine("Installation Directory", Info->InstallDir);
    if (Info->Size)
	ShowSummaryLine("Amount to Install", GetSizeStr(Info->Size, BYTES));
}
